import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-question-view',
  templateUrl: './question-view.component.html',
  styleUrls: ['./question-view.component.css']
})
export class QuestionViewComponent implements OnInit {
  @Input()
  question;
  @Input()
  private questionIndex;
  @Input() activeFifty;
  @Output() emitNextQuestionRequest = new EventEmitter();
  @Output() lifebuoyTest = new EventEmitter<boolean>();


  constructor() { }

  nextQuestion(e) {
    this.emitNextQuestionRequest.emit(e);
  }

  handleEmitNextQuestionRequest(e) {
    this.nextQuestion(e);
  }

  LifebuoyFifty(y) {
    this.lifebuoyTest.emit(y);
  }

  ngOnInit() {
  }

}
